Summary:   A portable lossless data compression library written in ANSI C
Name:      lzo
Version:   1.06
Release:   1
Source:    ftp://hpv17.infosys.tuwien.ac.at/pub/mfx/lzo/%{name}-%{version}.tar.gz
URL:       http://www.infosys.tuwien.ac.at/Staff/lux/marco/lzo.html
Copyright: GPL
Group:     Libraries
Requires:  zlib >= 1.0.0
BuildRoot: /tmp/%{name}-%{version}-root

%description 
LZO is a portable lossless data compression library written in ANSI C. It
offers pretty fast compression and *very* fast decompression.

Decompression requires no memory. 

In addition there are slower compression levels achieving a quite competitive
compression ratio while still decompressing at this very high speed. 

%package devel
Summary:  Includes and static lib for lzo data compression library
Group:    Development/Libraries
Requires: %{name} = %{version}

%description devel
Includes and static lib for lzo data compression library.

%prep

%setup -q

%build
./configure --prefix=/usr

if [ -x /usr/bin/getconf ] ; then
  NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
   if [ $NRPROC -eq 0 ] ; then
    NRPROC=1
  fi
else
  NRPROC=1
fi

make -j $NRPROC CFLAGS_O="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*.*

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS doc
/usr/lib/lib*.so.*.*

%files devel
%defattr(-,root,root)
/usr/include/*.h
/usr/lib/lib*.a
/usr/lib/lib*.so

%changelog
* Sun Apr 16 2000 Arne Coucheron <arneco@online.no>
  [1.06-1]
- added support for compiling in multiprocessor environment
- some changes in the %files section
- using DESTDIR when installing

* Thu May 21 1998 Arne Coucheron <arneco@online.no>
  [1.04-1]
- using BuildRoot
- using RPM_OPT_FLAGS during make
- using %%{name} and %%{version} macros
- removed Packager: line; use /etc/rpmrc for this if you need it
- using %defattr and %attr macros in filelist. NB! needs rpm 2.5 to build
- simplified the filelist
- removed %pre and added a %postun
- added -q parameter to %setup
- added striping of the library
- removed COPYING file from %doc, copyright is in the header